Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06368 DIP/Input Trivial Always Sep 4, 2016, 17:16 Sep 13, 2016, 09:23
Tester izius View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS Windows XP
Status [?] Resolved Driver shangkid.cpp
Version 0.177 Fixed in Version 0.178 Build Normal
Summary 06368: shangkid, hiryuken: Buttons 1 and 2 are switched
Description In the practice mode, you're asked to perform some moves. When the game shows the inputs to attack, you'll receive half points if you follow the inputs drawn graphically and full points if you invert the buttons.
Steps To Reproduce Start a game; in a few seconds you'll enter practice mode (don't press 1P button here or you'll skip it completely).
Additional Information The inputs are currently mapped as:
button 1: kick
button 2: punch

Assuming the drawn buttons are (from left to right) 1 and 2, I'm guessing they're either programmed wrong (original bug) or mapped inverted. No idea which is the case.
Flags
Regression Version
Affected Sets / Systems shangkid, hiryuken
Attached Files
png file icon 0000.png (5,098 bytes) Sep 4, 2016, 17:16 Uploaded by izius
Used button 2 - considered wrong and got half points
izius
png file icon 0001.png (5,126 bytes) Sep 4, 2016, 17:17 Uploaded by izius
Used button 1 - considered right and got full points
izius
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13110
B2K24
Moderator
Sep 4, 2016, 17:31
I get the same result here.
User avatar
No.13136
Kale
Developer
Sep 12, 2016, 17:06
Service Mode has punch button above kick button, therefore is definitely button 1.

http://mamedev.emulab.it/kale/fast/files/0004_5281825088.png